Bug 1468298 - Backport memory leak fix
Backport memory leak fix
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: popt (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 11:37 EDT by Alex Scheel
Modified: 2017-10-16 20:15 EDT (History)
1 user (show)

See Also:
Fixed In Version: popt-1.16-12.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-16 20:15:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Scheel 2017-07-06 11:37:18 EDT
Description of problem:

popt has fixed a memory leak upstream, but hasn't released a new version with the patch:

http://rpm5.org/cvs/chngview?cn=19018

Could this patch be carried downstream until a new version is released? Thanks!
Comment 1 Jan Kurik 2017-08-15 02:36:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 2 Fedora Update System 2017-10-12 18:03:46 EDT
popt-1.16-12.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c1b7fbbffe
Comment 3 Fedora Update System 2017-10-12 18:04:21 EDT
popt-1.16-12.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ffd16e2c73
Comment 4 Fedora Update System 2017-10-12 18:04:55 EDT
popt-1.16-12.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fa32d9cd0c
Comment 5 Fedora Update System 2017-10-13 18:22:00 EDT
popt-1.16-12.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fa32d9cd0c
Comment 6 Fedora Update System 2017-10-13 18:23:29 EDT
popt-1.16-12.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ffd16e2c73
Comment 7 Fedora Update System 2017-10-13 19:23:32 EDT
popt-1.16-12.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c1b7fbbffe
Comment 8 Fedora Update System 2017-10-16 20:15:47 EDT
popt-1.16-12.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.